Bug 767001 - Abrt not working at all after upgrade to F16
Abrt not working at all after upgrade to F16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 18:43 EST by David Kovalsky
Modified: 2015-02-01 17:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2011-12-12 18:43:09 EST
After I updated from F14 (through F15) to F16, Abrt stopped working. No messages, GUI doesn't show any new crashes.

I've tried deleting everything from /var/spool/abrt/ and /var/cache/abrt/, but it didn't help. 

/var/log/messages doesn't show anything interesting abrt related, 

# grep -i abrt /var/log/messages|tail -n 15
Dec  9 20:08:38 kovinek abrtd: Got signal 15, exiting
Dec 10 12:37:33 kovinek abrtd: Init complete, entering main loop
Dec 12 17:00:39 kovinek yum[27959]: Updated: abrt-libs-2.0.7-2.fc16.x86_64
Dec 12 17:01:26 kovinek yum[27959]: Updated: abrt-2.0.7-2.fc16.x86_64
Dec 12 17:01:27 kovinek yum[27959]: Updated: abrt-addon-ccpp-2.0.7-2.fc16.x86_64
Dec 12 17:01:27 kovinek yum[27959]: Updated: abrt-addon-python-2.0.7-2.fc16.x86_64
Dec 12 17:01:29 kovinek yum[27959]: Updated: abrt-retrace-client-2.0.7-2.fc16.x86_64
Dec 12 17:01:31 kovinek yum[27959]: Updated: abrt-addon-kerneloops-2.0.7-2.fc16.x86_64
Dec 12 17:01:32 kovinek yum[27959]: Updated: abrt-addon-vmcore-2.0.7-2.fc16.x86_64
Dec 12 17:01:35 kovinek yum[27959]: Updated: abrt-gui-2.0.7-2.fc16.x86_64
Dec 12 17:02:55 kovinek yum[27959]: Updated: abrt-desktop-2.0.7-2.fc16.x86_64
Dec 12 17:02:55 kovinek yum[27959]: Updated: abrt-cli-2.0.7-2.fc16.x86_64
Dec 12 17:05:42 kovinek abrtd: Got signal 15, exiting
Dec 12 17:05:42 kovinek abrtd: Init complete, entering main loop
Dec 12 20:02:22 kovinek abrtd: Got signal 15, exiting



I see crashes like this in /var/log/messages:
Dec 13 00:29:45 kovinek kernel: [12674.083337] audacious[6065]: segfault at 8 ip 00007feedfd5a31a sp 00007fff935181b0 error 4 in libgobject-2.0.so.0.3000.1[7feedfd49000+4c000]



Abrtd is running (I've tried restarting in the past, again no result). I'm checking via:
# service abrtd status
Redirecting to /bin/systemctl  status abrtd.service
abrtd.service - ABRT Automated Bug Reporting Tool
          Loaded: loaded (/lib/systemd/system/abrtd.service; enabled)
          Active: active (running) since Mon, 12 Dec 2011 20:58:51 +0100; 3h 38min ago
        Main PID: 1339 (abrtd)
          CGroup: name=systemd:/system/abrtd.service
                  └ 1339 /usr/sbin/abrtd -d -s


Installed Packages
abrt.x86_64                                                             2.0.7-2.fc16                                             @updates-testing
abrt-addon-ccpp.x86_64                                                  2.0.7-2.fc16                                             @updates-testing
abrt-addon-kerneloops.x86_64                                            2.0.7-2.fc16                                             @updates-testing
abrt-addon-python.x86_64                                                2.0.7-2.fc16                                             @updates-testing
abrt-addon-vmcore.x86_64                                                2.0.7-2.fc16                                             @updates-testing
abrt-cli.x86_64                                                         2.0.7-2.fc16                                             @updates-testing
abrt-desktop.x86_64                                                     2.0.7-2.fc16                                             @updates-testing
abrt-gui.x86_64                                                         2.0.7-2.fc16                                             @updates-testing
abrt-libs.x86_64                                                        2.0.7-2.fc16                                             @updates-testing
abrt-retrace-client.x86_64                                              2.0.7-2.fc16                                             @updates-testing
Available Packages
abrt-devel.i686                                                         2.0.6-1.fc16                                             updates         
abrt-devel.x86_64                                                       2.0.6-1.fc16                                             updates         
abrt-libs.i686   


# rpm -Va 'abrt*'

# echo $?
0

So package content seems intact. 


Maybe it's because I ditched Gnome sh and I'm running with XFCE. Otherwise, no idea what may be wrong. I'm running with the latest & greatest from F16 updates-testing ATM.


I'm out of ideas where to look for more info. I'll gladly provide any debugging output you ask for.
Comment 1 David Kovalsky 2011-12-13 06:04:47 EST
/me had a little debugging session with Nikola Pajkovsky and here's the output:

# cat /proc/sys/kernel/core_pattern
core

# service abrtd status
Redirecting to /bin/systemctl  status abrtd.service
abrtd.service - ABRT Automated Bug Reporting Tool
          Loaded: loaded (/lib/systemd/system/abrtd.service; enabled)
          Active: active (running) since Tue, 13 Dec 2011 11:10:35 +0100; 46min ago
        Main PID: 1348 (abrtd)
          CGroup: name=systemd:/system/abrtd.service
                  └ 1348 /usr/sbin/abrtd -d -s



# service abrt-ccpp status
Redirecting to /bin/systemctl  status abrt-ccpp.service
abrt-ccpp.service - Install ABRT coredump hook
          Loaded: loaded (/lib/systemd/system/abrt-ccpp.service; disabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/abrt-ccpp.service


****** Ha, not running
# service abrt-ccpp start
Redirecting to /bin/systemctl  start abrt-ccpp.service


# cat /proc/sys/kernel/core_pattern
|/usr/libexec/abrt-hook-ccpp %s %c %p %u %g %t e


So it seems abrt-cppp.service is not started by default after update/upgrade. Perhaps a missing postin script?
Comment 2 Jiri Moskovcak 2011-12-13 08:42:11 EST
(In reply to comment #1)
> So it seems abrt-cppp.service is not started by default after update/upgrade.
> Perhaps a missing postin script?

Exactly, it's known bug described in F16 common bugs:

http://fedoraproject.org/wiki/Common_F16_bugs#Abrt_will_not_catch_crashes_after_upgrade_from_a_previous_Fedora_release
Comment 3 Fedora Update System 2012-08-10 04:01:50 EDT
libreport-2.0.12-2.fc17, abrt-2.0.11-1.fc17, btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.11-1.fc17,libreport-2.0.12-2.fc17,btparser-0.18-2.fc17
Comment 4 Fedora Update System 2012-08-23 19:28:57 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-29 20:57:48 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.